## swaybg 1.0

=== meson_options.txt ===
option('gdk-pixbuf', type: 'feature', value: 'auto', description: 'Enable support for more image formats')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

=== debian/changelog ===
swaybg (1.0-2) unstable; urgency=medium

  * d/control:
   + Set maintainer field to new team address and add nicoo to
     uploaders
   + Point Vcs-* fields to the new repository in the swaywm-team
     salsa group
   + Bump standards version to 4.4.0

 -- Birger Schacht <birger@rantanplan.org>  Fri, 26 Jul 2019 09:33:32 +0200

swaybg (1.0-1) unstable; urgency=medium

  * Initial packaging (Closes: #928403)

 -- Birger Schacht <birger@rantanplan.org>  Sat, 18 May 2019 22:08:50 +0200

=== debian/control ===
Source: swaybg
Section: x11
Priority: optional
Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
Uploaders: Birger Schacht <birger@rantanplan.org>,
           Nicolas Braud-Santoni <nicoo@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 meson (>=0.48),
 libwayland-dev,
 wayland-protocols (>=1.14),
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 pkgconf,
 scdoc
Standards-Version: 4.4.0
Homepage: https://github.com/swaywm/swaybg
Vcs-Browser: https://salsa.debian.org/swaywm-team/swaybg
Vcs-Git: https://salsa.debian.org/swaywm-team/swaybg.git
Rules-Requires-Root: no

Package: swaybg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Replaces: sway (<< 1.1~rc1)
Breaks: sway (<< 1.1~rc1)
Description: Wallpaper utility for Wayland compositors
 swaybg is a wallpaper utility for Wayland compositors. It is compatible with
 any Wayland compositor which implements the following Wayland protocols:
 wlr-layer-shell, xdg-output, xdg-shell

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/swaybg-$1\.tar\.gz\.sig/,\
filenamemangle=s/.+\/(\d\S+)\.tar\.gz/swaybg-$1\.tar\.gz/ \
https://github.com/swaywm/swaybg/releases .*/(\d\S+)\.tar\.gz

## swaybg 1.1.1

=== debian/changelog ===
swaybg (1.1.1-2) unstable; urgency=medium

  * Fix d/watch file

 -- Birger Schacht <birger@debian.org>  Fri, 08 Apr 2022 11:18:16 +0200

swaybg (1.1.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on meson and wayland-protocols.

  [ Jonas Meurer ]
  * d/gbp.conf: Add file and set pristine-tar = True

  [ Birger Schacht ]
  * New upstream release
  * Bump standards version to 4.6.0.1 (no changes required)
  * Update uploader email address
  * Bump year range in d/copyright and update email address
  * Bump debhelper compat version to 13
  * Drup filenamemangle option from d/watch
  * Add bugtracking information to d/upstream/metadata

 -- Birger Schacht <birger@debian.org>  Fri, 11 Mar 2022 10:24:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: x11
 Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
+Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- meson (>=0.48),
+ debhelper-compat (= 13),
+ meson,
  libwayland-dev,
- wayland-protocols (>=1.14),
+ wayland-protocols,
  libcairo2-dev,
  libgdk-pixbuf2.0-dev,
  pkgconf,
  scdoc
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/swaywm/swaybg
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaybg
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaybg.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/swaybg-$1\.tar\.gz\.sig/ \
https://github.com/swaywm/swaybg/releases .*/archive/refs/tags/v?(\d\S+)\.tar\.gz

## swaybg 1.2.0

=== debian/changelog ===
swaybg (1.2.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:22:48 +1100

swaybg (1.2.0-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:02:24 +0000

swaybg (1.2.0-2) unstable; urgency=medium

  * Replace build dependency on transitional package libgdk-pixbuf2.0-dev with
    libgdk-pixbuf-2.0-dev (Closes: #1037402)
  * Set debian branch in d/gbp.conf
  * Update CI configuration in d/gitlab-ci.yml
  * Bump years to 2023 in d/copyright
  * Bump Standards-Version to 4.6.2 in d/control (no changes needed)
  * Replace Name in d/upstream/metadata with Upstream-Name in d/copyright

 -- Birger Schacht <birger@debian.org>  Tue, 15 Aug 2023 14:17:05 +0200

swaybg (1.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Birger Schacht <birger@debian.org>  Mon, 05 Dec 2022 15:26:05 +0100

swaybg (1.1.1-3) unstable; urgency=medium

  * Fix d/watch file by switching to gitmode
  * Bump standards-version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Fri, 14 Oct 2022 21:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swaybg
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:
@@ -10,10 +11,10 @@
  libwayland-dev,
  wayland-protocols,
  libcairo2-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  pkgconf,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/swaywm/swaybg
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaybg
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaybg.git

## swaybg 1.2.1

=== debian/changelog ===
swaybg (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Bump years

 -- Birger Schacht <birger@debian.org>  Sun, 28 Apr 2024 11:46:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swaybg
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends:

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag,uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/," \
 https://github.com/swaywm/swaybg refs/tags/v?(\d\S+)

## swaybg 1.2.2

=== debian/changelog ===
swaybg (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/coyright: update years
  * debian/control:
   + Drop Rules-Requires-Root and Priority fields
   + Update Standards-Version to 4.7.3
  * debian/watch
   + Update to Version 5 format
  * debian/gbp.conf
   + Disable pristine-tar

 -- Birger Schacht <birger@debian.org>  Tue, 03 Mar 2026 08:04:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: swaybg
 Section: x11
-Priority: optional
 Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicoo@debian.org>
@@ -13,11 +12,10 @@
  libgdk-pixbuf-2.0-dev,
  pkgconf,
  scdoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/swaywm/swaybg
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaybg
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaybg.git
-Rules-Requires-Root: no
 
 Package: swaybg
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://github.com/swaywm/swaybg
Matching-Pattern: refs/tags/v?(\d\S+)
Mode: git
Pgpmode: gittag
Uversionmangle: s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/
